Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.scheduling
Class ReportJobsExporter

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.BaseExporterModule
          com.jaspersoft.jasperserver.export.modules.scheduling.ReportJobsExporter

All Implemented Interfaces:
  ExporterModule

    public class ReportJobsExporter

extends BaseExporterModule

Version:
  $Id: ReportJobsExporter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected SchedulingModuleConfiguration` | `configuration`
`protected java.util.Set` | `exportedURIs`
`protected java.lang.String` | `reportJobsArg`

Fields inherited from class com.jaspersoft.jasperserver.export.modules.BaseExporterModule
`characterEncoding, commandOut, executionContext, exportContext, exportEverything, exportParams, output`

Constructor Summary
`ReportJobsExporter()`

Method Summary
`protected void` | `exportJob(java.lang.String folderPath, ReportJob job)`
`protected void` | `exportJobs(java.lang.String uri, java.util.List jobs)`
`SchedulingModuleConfiguration` | `getConfiguration()`
`protected java.lang.String` | `getJobFilename(ReportJob job)`
`java.lang.String` | `getReportJobsArg()`
`protected boolean` | `isToProcess()`
`void` | `process()`
`protected void` | `processFolder(java.lang.String uri)`
`protected void` | `processFolderResources(java.lang.String folderURI)`
`protected void` | `processReportUnit(java.lang.String uri)`
`protected void` | `processResource(Resource resource)`
`void` | `setConfiguration(SchedulingModuleConfiguration configuration)`
`void` | `setReportJobsArg(java.lang.String reportJobsArg)`
`protected void` | `writeIndexReportUnitEntry(java.lang.String uri)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.BaseExporterModule
`getEverythingArg, getFileOutput, getId, getIndexElement, getParameterValue, getParameterValues, hasParameter, init, isExportEverything, mkdir, mkdir, serialize, setEverythingArg, setId, toProcess, writeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    protected SchedulingModuleConfiguration configuration

### reportJobsArg

    protected java.lang.String reportJobsArg

### exportedURIs

    protected java.util.Set exportedURIs

Constructor Detail

### ReportJobsExporter

    public ReportJobsExporter()

Method Detail

### isToProcess

    protected boolean isToProcess()

  Specified by:
    `isToProcess` in class `BaseExporterModule`

### process

    public void process()

### processResource

    protected void processResource(Resource resource)

### processFolder

    protected void processFolder(java.lang.String uri)

### processFolderResources

    protected void processFolderResources(java.lang.String folderURI)

### processReportUnit

    protected void processReportUnit(java.lang.String uri)

### exportJobs

    protected void exportJobs(java.lang.String uri,
                              java.util.List jobs)

### exportJob

    protected void exportJob(java.lang.String folderPath,
                             ReportJob job)

### getJobFilename

    protected java.lang.String getJobFilename(ReportJob job)

### writeIndexReportUnitEntry

    protected void writeIndexReportUnitEntry(java.lang.String uri)

### getConfiguration

    public SchedulingModuleConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(SchedulingModuleConfiguration configuration)

### getReportJobsArg

    public java.lang.String getReportJobsArg()

### setReportJobsArg

    public void setReportJobsArg(java.lang.String reportJobsArg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.